librevenge::RVNGCSVSpreadsheetGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGCSVSpreadsheetGenerator Class Reference

A CSV generator for spreadsheet documents. More...

`#include <RVNGCSVSpreadsheetGenerator.h>`

Inheritance diagram for librevenge::RVNGCSVSpreadsheetGenerator:

## Public Member Functions
| RVNGCSVSpreadsheetGenerator (RVNGStringVector &sheets, bool generateFormula=false)
| constructor given: More...
| ~RVNGCSVSpreadsheetGenerator ()
| destructor More...
void | setSeparators (char fieldSep=',', char textSep='"', char decimalSep='.')
| set the separators: More...
void | setDTFormats (RVNGString const &date="%m/%d/%y", RVNGString const &time="%H:%M:%S")
| defines the format used to export the date and the time (see strftime) More...
void | setDocumentMetaData (const RVNGPropertyList &propList)
| Called when all document metadata should be set. More...
void | defineEmbeddedFont (const RVNGPropertyList &propList)
| Called when an embedded font should be defined More...
void | startDocument (const RVNGPropertyList &propList)
| Called at the start of the parsing process. More...
void | endDocument ()
| Called at the end of the parsing process. More...
void | defineSheetNumberingStyle (const RVNGPropertyList &propList)
| Called when a numbering style must be defined More...
void | openSheet (const RVNGPropertyList &propList)
| Called when a sheet should be opened More...
void | closeSheet ()
| Called when a sheet should be closed. More...
void | openSheetRow (const RVNGPropertyList &propList)
| Called when a new sheet row is opened More...
void | closeSheetRow ()
| Called when a sheet row should be closed. More...
void | openSheetCell (const RVNGPropertyList &propList)
| Called when a cell should be opened More...
void | closeSheetCell ()
| Called when a sheet should be closed. More...
void | defineChartStyle (const RVNGPropertyList &propList)
void | openChart (const RVNGPropertyList &propList)
| Called when a chart should be opened More...
void | closeChart ()
| Called when a chart should be closed. More...
void | openChartTextObject (const RVNGPropertyList &propList)
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened. More...
void | closeChartTextObject ()
| Called when a chart text zone:legend/title/subtitle/footer should be closed. More...
void | openChartPlotArea (const RVNGPropertyList &propList)
| Called when a chart plot area should be opened. More...
void | closeChartPlotArea ()
| Called when a chart plot arre should be closed. More...
void | insertChartAxis (const RVNGPropertyList &axis)
| Called when a axis should be add in a plot area More...
void | openChartSerie (const librevenge::RVNGPropertyList &series)
| Called when a serie should be opened (in a plot area) More...
void | closeChartSerie ()
| Called when a serie should be closed (in a plot area) More...
void | definePageStyle (const RVNGPropertyList &propList)
void | openPageSpan (const RVNGPropertyList &propList)
| Called when a new page span is opened. More...
void | closePageSpan ()
| Called when a page span is closed. More...
void | openHeader (const RVNGPropertyList &propList)
| Called when a header should be opened (a sub-document will be placed inside of it). More...
void | closeHeader ()
| Called when a header should be closed. More...
void | openFooter (const RVNGPropertyList &propList)
| Called when a footer should be opened (a sub-document will be placed inside of it). More...
void | closeFooter ()
| Called when a footer should be closed. More...
void | defineParagraphStyle (const RVNGPropertyList &propList)
void | openParagraph (const RVNGPropertyList &propList)
| Called when a new paragraph is opened. More...
void | closeParagraph ()
| Called when a paragraph is closed. More...
void | defineCharacterStyle (const RVNGPropertyList &propList)
void | openSpan (const RVNGPropertyList &propList)
| Called when a text span is opened More...
void | closeSpan ()
| Called when a text span is closed More...
void | openLink (const RVNGPropertyList &propList)
| Called when a link should be opened More...
void | closeLink ()
| Called when the current link is closed More...
void | defineSectionStyle (const RVNGPropertyList &propList)
void | openSection (const RVNGPropertyList &propList)
| Called when a new section is opened More...
void | closeSection ()
| Called when a section is closed More...
void | insertTab ()
| Called when a TAB character should be inserted More...
void | insertSpace ()
| Called when an explicit space should be inserted More...
void | insertText (const RVNGString &text)
| Called when a string of text should be inserted More...
void | insertLineBreak ()
| Called when a line break should be inserted More...
void | insertField (const RVNGPropertyList &propList)
| Called when a field should be inserted. More...
void | openOrderedListLevel (const RVNGPropertyList &propList)
| Called when a new ordered list level should be opened More...
void | openUnorderedListLevel (const RVNGPropertyList &propList)
| Called when a new unordered list level should be opened More...
void | closeOrderedListLevel ()
| Called when an unordered list level should be closed More...
void | closeUnorderedListLevel ()
| Called when an ununordered list level should be closed More...
void | openListElement (const RVNGPropertyList &propList)
| Called when a list element should be opened More...
void | closeListElement ()
| Called when a list element should be closed More...
void | openFootnote (const RVNGPropertyList &propList)
| Called when a footnote should be opened (a sub-document will be placed inside of it) More...
void | closeFootnote ()
| Called when a footnote should be closed More...
void | openEndnote (const RVNGPropertyList &propList)
void | closeEndnote ()
void | openComment (const RVNGPropertyList &propList)
| Called when a comment or annotation should be opened (a sub-document will be placed inside of it) More...
void | closeComment ()
| Called when a comment or annotation should be closed More...
void | openTextBox (const RVNGPropertyList &propList)
| Called when a text box should be opened (a sub-document will be placed inside of it) More...
void | closeTextBox ()
| Called when a text box should be closed More...
void | openTable (const RVNGPropertyList &propList)
| Called when a table should be opened More...
void | openTableRow (const RVNGPropertyList &propList)
| Called when a new table row is opened More...
void | closeTableRow ()
| Called when the current table row is closed More...
void | openTableCell (const RVNGPropertyList &propList)
| Called when a new table cell is opened More...
void | closeTableCell ()
| Called when the current table cell is closed More...
void | insertCoveredTableCell (const RVNGPropertyList &propList)
| Called when a covered (spanned by another cell in the table) table cell is opened More...
void | closeTable ()
| Called when the current table is closed More...
void | openFrame (const RVNGPropertyList &propList)
| Called when a positioned box should be opened More...
void | closeFrame ()
| Called when the current positioned box is closed More...
void | insertBinaryObject (const RVNGPropertyList &propList)
| Called when a binary object should be inserted More...
void | openGroup (const RVNGPropertyList &propList)
void | closeGroup ()
void | defineGraphicStyle (const RVNGPropertyList &propList)
void | drawRectangle (const RVNGPropertyList &propList)
void | drawEllipse (const RVNGPropertyList &propList)
void | drawPolygon (const RVNGPropertyList &propList)
void | drawPolyline (const RVNGPropertyList &propList)
void | drawPath (const RVNGPropertyList &propList)
void | drawConnector (const RVNGPropertyList &propList)
| Draw a connector. More...
void | insertEquation (const RVNGPropertyList &propList)
| Called when a mathml object should be inserted More...
Public Member Functions inherited from librevenge::RVNGSpreadsheetInterface
virtual | ~RVNGSpreadsheetInterface ()
| destructor More...

## Private Member Functions
| RVNGCSVSpreadsheetGenerator (const RVNGCSVSpreadsheetGenerator &other)
| unimplemented copy constructor to prevent copy More...
RVNGCSVSpreadsheetGenerator & | operator= (const RVNGCSVSpreadsheetGenerator &other)
| unimplemented copy operator to prevent copy More...

## Private Attributes
RVNGCSVSpreadsheetGeneratorImpl * | m_impl
| the internal storage data More...

## Detailed Description

A CSV generator for spreadsheet documents.

See `librevenge::RVNGSpreadsheetInterface` for documentation of the basic interface.

## Constructor & Destructor Documentation

## ◆ RVNGCSVSpreadsheetGenerator() [1/2]

librevenge::RVNGCSVSpreadsheetGenerator::RVNGCSVSpreadsheetGenerator | ( | const RVNGCSVSpreadsheetGenerator & | other | ) |
| private

unimplemented copy constructor to prevent copy

## ◆ RVNGCSVSpreadsheetGenerator() [2/2]

librevenge::RVNGCSVSpreadsheetGenerator::RVNGCSVSpreadsheetGenerator | ( | RVNGStringVector & | sheets,
|  | bool | generateFormula = `false`
| ) |  |
| explicit

constructor given:

- `sheets` a vector of string to fill
- `generateFormula` a flag to known if we need to generate the formula or not

Note
  if generateFormula is true, the formula will be generated with english name, so a localized version of Excel, ... will not recognize them

## ◆ ~RVNGCSVSpreadsheetGenerator()

librevenge::RVNGCSVSpreadsheetGenerator::~RVNGCSVSpreadsheetGenerator | ( |  | ) |

destructor

## Member Function Documentation

## ◆ closeChart()

void librevenge::RVNGCSVSpreadsheetGenerator::closeChart | ( |  | ) |
| virtual

Called when a chart should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeChartPlotArea()

void librevenge::RVNGCSVSpreadsheetGenerator::closeChartPlotArea | ( |  | ) |
| virtual

Called when a chart plot arre should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeChartSerie()

void librevenge::RVNGCSVSpreadsheetGenerator::closeChartSerie | ( |  | ) |
| virtual

Called when a serie should be closed (in a plot area)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeChartTextObject()

void librevenge::RVNGCSVSpreadsheetGenerator::closeChartTextObject | ( |  | ) |
| virtual

Called when a chart text zone:legend/title/subtitle/footer should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeComment()

void librevenge::RVNGCSVSpreadsheetGenerator::closeComment | ( |  | ) |
| virtual

Called when a comment or annotation should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeEndnote()

void librevenge::RVNGCSVSpreadsheetGenerator::closeEndnote | ( |  | ) |

## ◆ closeFooter()

void librevenge::RVNGCSVSpreadsheetGenerator::closeFooter | ( |  | ) |
| virtual

Called when a footer should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeFootnote()

void librevenge::RVNGCSVSpreadsheetGenerator::closeFootnote | ( |  | ) |
| virtual

Called when a footnote should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeFrame()

void librevenge::RVNGCSVSpreadsheetGenerator::closeFrame | ( |  | ) |
| virtual

Called when the current positioned box is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeGroup()

void librevenge::RVNGCSVSpreadsheetGenerator::closeGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeHeader()

void librevenge::RVNGCSVSpreadsheetGenerator::closeHeader | ( |  | ) |
| virtual

Called when a header should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeLink()

void librevenge::RVNGCSVSpreadsheetGenerator::closeLink | ( |  | ) |
| virtual

Called when the current link is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeListElement()

void librevenge::RVNGCSVSpreadsheetGenerator::closeListElement | ( |  | ) |
| virtual

Called when a list element should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeOrderedListLevel()

void librevenge::RVNGCSVSpreadsheetGenerator::closeOrderedListLevel | ( |  | ) |
| virtual

Called when an unordered list level should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closePageSpan()

void librevenge::RVNGCSVSpreadsheetGenerator::closePageSpan | ( |  | ) |
| virtual

Called when a page span is closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeParagraph()

void librevenge::RVNGCSVSpreadsheetGenerator::closeParagraph | ( |  | ) |
| virtual

Called when a paragraph is closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeSection()

void librevenge::RVNGCSVSpreadsheetGenerator::closeSection | ( |  | ) |
| virtual

Called when a section is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeSheet()

void librevenge::RVNGCSVSpreadsheetGenerator::closeSheet | ( |  | ) |
| virtual

Called when a sheet should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeSheetCell()

void librevenge::RVNGCSVSpreadsheetGenerator::closeSheetCell | ( |  | ) |
| virtual

Called when a sheet should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeSheetRow()

void librevenge::RVNGCSVSpreadsheetGenerator::closeSheetRow | ( |  | ) |
| virtual

Called when a sheet row should be closed.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeSpan()

void librevenge::RVNGCSVSpreadsheetGenerator::closeSpan | ( |  | ) |
| virtual

Called when a text span is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeTable()

void librevenge::RVNGCSVSpreadsheetGenerator::closeTable | ( |  | ) |
| virtual

Called when the current table is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeTableCell()

void librevenge::RVNGCSVSpreadsheetGenerator::closeTableCell | ( |  | ) |
| virtual

Called when the current table cell is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeTableRow()

void librevenge::RVNGCSVSpreadsheetGenerator::closeTableRow | ( |  | ) |
| virtual

Called when the current table row is closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeTextBox()

void librevenge::RVNGCSVSpreadsheetGenerator::closeTextBox | ( |  | ) |
| virtual

Called when a text box should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ closeUnorderedListLevel()

void librevenge::RVNGCSVSpreadsheetGenerator::closeUnorderedListLevel | ( |  | ) |
| virtual

Called when an ununordered list level should be closed

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineCharacterStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineChartStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineChartStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineEmbeddedFont()

void librevenge::RVNGCSVSpreadsheetGenerator::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when an embedded font should be defined

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineGraphicStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineGraphicStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ definePageStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::definePageStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineParagraphStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineSectionStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineSectionStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ defineSheetNumberingStyle()

void librevenge::RVNGCSVSpreadsheetGenerator::defineSheetNumberingStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a numbering style must be defined

Parameters

  propList | Property list for the style. Must contain: `librevenge:name` the numbering style name `librevenge:value_type` the numbering type `librevenge:format` a vector containing a list of format instructions `librevenge:conditions` a vector containing `librevenge:formula` the condition `librevenge:name` the style to apply when the condition is verified

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawConnector()

void librevenge::RVNGCSVSpreadsheetGenerator::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawEllipse()

void librevenge::RVNGCSVSpreadsheetGenerator::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawPath()

void librevenge::RVNGCSVSpreadsheetGenerator::drawPath | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawPolygon()

void librevenge::RVNGCSVSpreadsheetGenerator::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawPolyline()

void librevenge::RVNGCSVSpreadsheetGenerator::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ drawRectangle()

void librevenge::RVNGCSVSpreadsheetGenerator::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ endDocument()

void librevenge::RVNGCSVSpreadsheetGenerator::endDocument | ( |  | ) |
| virtual

Called at the end of the parsing process.

This is always the last callback made.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertBinaryObject()

void librevenge::RVNGCSVSpreadsheetGenerator::insertBinaryObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a binary object should be inserted

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mimetype` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertChartAxis()

void librevenge::RVNGCSVSpreadsheetGenerator::insertChartAxis | ( | const RVNGPropertyList & | axis | ) |
| virtual

Called when a axis should be add in a plot area

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertCoveredTableCell()

void librevenge::RVNGCSVSpreadsheetGenerator::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a covered (spanned by another cell in the table) table cell is opened

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertEquation()

void librevenge::RVNGCSVSpreadsheetGenerator::insertEquation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a mathml object should be inserted

Parameters

  propList | Defines a set of properties for the object. `librevenge:mimetype` The mimetype of the object `librevenge:data` reference to the string containing the equation representation

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertField()

void librevenge::RVNGCSVSpreadsheetGenerator::insertField | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a field should be inserted.

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertLineBreak()

void librevenge::RVNGCSVSpreadsheetGenerator::insertLineBreak | ( |  | ) |
| virtual

Called when a line break should be inserted

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertSpace()

void librevenge::RVNGCSVSpreadsheetGenerator::insertSpace | ( |  | ) |
| virtual

Called when an explicit space should be inserted

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertTab()

void librevenge::RVNGCSVSpreadsheetGenerator::insertTab | ( |  | ) |
| virtual

Called when a TAB character should be inserted

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ insertText()

void librevenge::RVNGCSVSpreadsheetGenerator::insertText | ( | const RVNGString & | text | ) |
| virtual

Called when a string of text should be inserted

Parameters

  text | A textbuffer encoded as a UTF8 string

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openChart()

void librevenge::RVNGCSVSpreadsheetGenerator::openChart | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart should be opened

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openChartPlotArea()

void librevenge::RVNGCSVSpreadsheetGenerator::openChartPlotArea | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart plot area should be opened.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openChartSerie()

void librevenge::RVNGCSVSpreadsheetGenerator::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |
| virtual

Called when a serie should be opened (in a plot area)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openChartTextObject()

void librevenge::RVNGCSVSpreadsheetGenerator::openChartTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart text zone:label/legend/title/subtitle/footer should be opened.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openComment()

void librevenge::RVNGCSVSpreadsheetGenerator::openComment | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a comment or annotation should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the comment or annotation.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openEndnote()

void librevenge::RVNGCSVSpreadsheetGenerator::openEndnote | ( | const RVNGPropertyList & | propList | ) |

## ◆ openFooter()

void librevenge::RVNGCSVSpreadsheetGenerator::openFooter | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a footer should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the footer. May contain: `librevenge:occurrence` Determines on which pages the footer will occur (odd, even, or all)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openFootnote()

void librevenge::RVNGCSVSpreadsheetGenerator::openFootnote | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a footnote should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the footnote. May contain: `librevenge:number` The footnote's number

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openFrame()

void librevenge::RVNGCSVSpreadsheetGenerator::openFrame | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a positioned box should be opened

Parameters

  propList | Defines a set of properties for the box. May contain: `text:anchor-type` How the Box is anchored (page, frame, paragraph, char, as-char) `svg:x` Horizontal position of the box (in inches) `svg:y` Vertical position of the box (in inches) `style:horizontal-pos` Horizontal alignment of the box (left, center, right, from-left, inside, outside, from-inside) `style:horizontal-rel` From where the horizontal position of the box is measured (page, page-content, page-start-margin, page-end-margin, frame, frame-content, frame-start-margin, frame-end-margin, paragraph, paragraph-content, paragraph-start-margin, paragraph-end-margin, char) `style:vertical-pos` Vertical alignment of the box `style:vertical-rel` From where the vertical position of the box is measured `svg:width` Width of the box (in inches) `style:relative-width` If the width should scale to keep the width/height ratio of the original object, this property is set to "scale". `svg:height` Height of the box (in inches) `style:relative-height` If the height should scale to keep the width/height ratio of the original object, this property is set to "scale".

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openGroup()

void librevenge::RVNGCSVSpreadsheetGenerator::openGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openHeader()

void librevenge::RVNGCSVSpreadsheetGenerator::openHeader | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a header should be opened (a sub-document will be placed inside of it).

Parameters

  propList | Property list for the header. May contain: `librevenge:occurrence` Determines on which pages the header will occur (odd, even, or all)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openLink()

void librevenge::RVNGCSVSpreadsheetGenerator::openLink | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a link should be opened

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openListElement()

void librevenge::RVNGCSVSpreadsheetGenerator::openListElement | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a list element should be opened

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openOrderedListLevel()

void librevenge::RVNGCSVSpreadsheetGenerator::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new ordered list level should be opened

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openPageSpan()

void librevenge::RVNGCSVSpreadsheetGenerator::openPageSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new page span is opened.

This will always be called before any actual content is placed into the document.

Parameters

  propList | Property list for the page span. May contain: `librevenge:num-pages` The length of this span, in number of pages `librevenge:is-last-page-span` Whether this is the start of the last page span in the document `fo:page-width` The width of the page, in inches `fo:page-height` The height of the page, in inches `style:print-orientation` The orientation of the page (portrait or landscape) `fo:margin-left` The left margin for each page in the span, in inches `fo:margin-right` The right margin for each page in the span, in inches `fo:margin-top` The top margin for each page in the span, in inches `fo:margin-bottom` The bottom margin for each page in the span, in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openParagraph()

void librevenge::RVNGCSVSpreadsheetGenerator::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openSection()

void librevenge::RVNGCSVSpreadsheetGenerator::openSection | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new section is opened

Parameters

  propList | Property list for the section. May contain: `fo:margin-left` The left indentation of this section, in inches `fo:margin-right` The right indentation of this section, in inches `librevenge:margin-bottom` Extra space to add after the section, in inches `text:dont-balance-text-columns` Whether or not to balance text columns `style:columns` List of definitions of each column: left gutter, right gutter, and width (includes the gutters). Empty if there is only one column in the section. Each column may contain: `style:rel-width` `fo:start-indent` The left indentation of the margin, in inches `fo:end-indent` The right indentation of the margin, in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openSheet()

void librevenge::RVNGCSVSpreadsheetGenerator::openSheet | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a sheet should be opened

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name `librevenge:columns` a vector of property list which must contain: style:column-width: the width of a column, in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openSheetCell()

void librevenge::RVNGCSVSpreadsheetGenerator::openSheetCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a cell should be opened

Parameters

  propList | Property list for the sheet. May contain: `librevenge:column` the cell column (between 0 and ... ) `librevenge:row` the cell row (between 0 and ... ) `librevenge:formula` a formula `librevenge:numbering-name` a numbering style name `librevenge:double` for a number cell `librevenge:bool` for a boolean cell `librevenge:year`, librevenge:month, librevenge:day, librevenge:hour, libwp:minute, librevenge:second for a date and/or time cell

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openSheetRow()

void librevenge::RVNGCSVSpreadsheetGenerator::openSheetRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new sheet row is opened

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openSpan()

void librevenge::RVNGCSVSpreadsheetGenerator::openSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text span is opened

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow` `fo:language` \ The language of the text in the span, a valid language code according to ISO 639 `fo:text-shadow`

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openTable()

void librevenge::RVNGCSVSpreadsheetGenerator::openTable | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a table should be opened

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openTableCell()

void librevenge::RVNGCSVSpreadsheetGenerator::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table cell is opened

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openTableRow()

void librevenge::RVNGCSVSpreadsheetGenerator::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table row is opened

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openTextBox()

void librevenge::RVNGCSVSpreadsheetGenerator::openTextBox | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text box should be opened (a sub-document will be placed inside of it)

Parameters

  propList | Defines a set of properties for the text box.

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ openUnorderedListLevel()

void librevenge::RVNGCSVSpreadsheetGenerator::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new unordered list level should be opened

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ operator=()

RVNGCSVSpreadsheetGenerator& librevenge::RVNGCSVSpreadsheetGenerator::operator= | ( | const RVNGCSVSpreadsheetGenerator & | other | ) |
| private

unimplemented copy operator to prevent copy

## ◆ setDocumentMetaData()

void librevenge::RVNGCSVSpreadsheetGenerator::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implements librevenge::RVNGSpreadsheetInterface.

## ◆ setDTFormats()

void librevenge::RVNGCSVSpreadsheetGenerator::setDTFormats | ( | RVNGString const & | date = `"%m/%d/%y"`,
|  | RVNGString const & | time = `"%H:%M:%S"`
| ) |  |

defines the format used to export the date and the time (see strftime)

## ◆ setSeparators()

void librevenge::RVNGCSVSpreadsheetGenerator::setSeparators | ( | char | fieldSep = `','`,
|  | char | textSep = `'"'`,
|  | char | decimalSep = `'.'`
| ) |  |

set the separators:

- `fieldSep` the field separator, default: ,
- `textSep` the text separator, default: "
- `decimalSep` the decimal separator, default: .

## ◆ startDocument()

void librevenge::RVNGCSVSpreadsheetGenerator::startDocument | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called at the start of the parsing process.

This is always the second callback made.

Implements librevenge::RVNGSpreadsheetInterface.

## Member Data Documentation

## ◆ m_impl

RVNGCSVSpreadsheetGeneratorImpl* librevenge::RVNGCSVSpreadsheetGenerator::m_impl
| private

the internal storage data

Referenced by closeChart(), closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeSheet(), closeSheetCell(), closeSheetRow(), closeTable(), closeTextBox(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openChart(), openComment(), openEndnote(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openSheet(), openSheetCell(), openSheetRow(), openTable(), openTextBox(), setDTFormats(), setSeparators(), and ~RVNGCSVSpreadsheetGenerator().

The documentation for this class was generated from the following files:

- RVNGCSVSpreadsheetGenerator.h
- RVNGCSVSpreadsheetGenerator.cpp